package driver

import (
	"local/dndex/storage/entity"
	"testing"
	"time"

	"github.com/google/uuid"
	"go.mongodb.org/mongo-driver/bson"
)

func tempMap(t *testing.T) *Map {
	mp := NewMap()
	mp.db[testNS] = map[string][]byte{}
	for i := 0; i < testN; i++ {
		p := entity.One{
			ID:    "iddd-" + uuid.New().String()[:5],
			Name:  "name-" + uuid.New().String()[:5],
			Type:  "type-" + uuid.New().String()[:5],
			Title: "titl-" + uuid.New().String()[:5],
		}
		o := entity.One{
			ID:          "iddd-" + uuid.New().String()[:5],
			Name:        "name-" + uuid.New().String()[:5],
			Type:        "type-" + uuid.New().String()[:5],
			Title:       "titl-" + uuid.New().String()[:5],
			Text:        "text-" + uuid.New().String()[:5],
			Modified:    time.Now().UnixNano(),
			Connections: map[string]entity.Connection{p.ID: entity.Connection{p.Name}},
			Attachments: map[string]entity.Attachment{"filename": {"/path/to/file"}},
		}
		b, err := bson.Marshal(o)
		if err != nil {
			t.Fatal(err)
		}
		mp.db[testNS][o.ID] = b
	}
	return mp
}
